body {
      margin: 0;
      font-family: sans-serif;
      background-image: url('thataltbg2.gif');
      background-size: cover;
      color: white;
      overflow-x: hidden;
    }

/* =========================
   HEADER
========================= */
header {
  text-align: center;
  width: 100%;
}

/* Main Title Image */
.main-header {
  width: 100%;
  max-width: 1500px; 
  display: block;
  margin: 0 auto;
}

/* Subheader Image */
.sub-header {
  width: 100%;
  max-width: 1000px; 
  display: block;
  margin: 0 auto;
  
}

.tar-logo {
  width: 100%;
  max-width: 750px;
  height: auto;
}

/* =========================
   MOBILE MENU BUTTON
========================= */
.menu-button {
  display: none;
  background: linear-gradient(90deg, pink, purple);
  color: black;
  padding: 12px;
  text-align: center;
  font-weight: bold;
  cursor: pointer;
}

/* =========================
   LAYOUT
========================= */
.container {
  display: flex;
  
}

/* =========================
   SIDEBAR
========================= */
.sidebar {
  width: 300px;
  background: linear-gradient(180deg, #1a1a1a, #2a2a2a);
  padding: 20px;
  margin-left: 100px;

  position: sticky;
  top: 10px;
  height: 100vh;
  overflow-y: auto;

  border-radius: 15px;

  border: 2px solid #F099C7;

  box-shadow:
    0 0 15px #ff9de6,
    0 0 30px rgba(200, 0, 255, 0.4),
    inset 0 0 10px rgba(255,255,255,0.05);
    
}

.sidebar::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  opacity: 0.1;
  pointer-events: none;
}

/* =========================
   LINKS
========================= */
.sidebar a {
  display: block;
  color: #F099C7;
  margin: 10px 0;
  text-decoration: none;
  transition: all 0.2s ease;
}

.sidebar a:hover {
  color: #fff;
  text-shadow: 0 0 8px pink;
  transform: translateX(5px);
  
}

.sidebar .extra-section p {
  color: #F099C7;
}

/* =========================
   NAVIGATION TITLES
========================= */
.nav-title,
.mobile-nav {
  background: linear-gradient(90deg, pink, purple);
  color: black;

  text-align: center;
  font-weight: bold;

  padding: 10px;
  margin-bottom: 15px;

  border-radius: 10px;

  box-shadow: 0 4px 10px rgba(0,0,0,0.3);
}

.sidebar .submenu {
  display: none;
}

.sidebar .submenu.active {
  display: block;
}

.nav-parent {
  cursor: pointer;
  color: #F099C7;
  margin: 10px 0;
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.nav-parent:hover {
  color: #fff;
  text-shadow: 0 0 8px pink;
}

#notebook-arrow {
  margin-left: auto;
}

.sidebar-character {
  text-align: center;
  margin: 15px 0;
}

#sidebarAnim {
  max-width: 160px !important;
  width: 100% !important;
  height: auto !important;
  display: block;
  margin: 0 auto;
}
#sidebarText {
  color: #F099C7;
  text-align: center;
  margin-top: 8px;
}

/* =========================
   CONTENT AREA
========================= */
    .content {
      flex: 1;
      display: flex;
      justify-content: center;
      align-items: center;
      padding: 20px;
    }

/* =========================
   NOTEBOOK
========================= */
    .notebook {
      position: relative;
      width: 1200px;
      max-width: 100%;
    }

    .notebook img {
      width: 100%;
      display: block;
    }

/* =========================
  PAPER AREA
========================= */
    .paper-area {
  position: absolute;
  top: 50%;
  left: 50%;

  width: 80%;
  height: 88%;

  transform: translate(-47%, -50%);

  padding: 10px;
  overflow-y: auto;

  background: repeating-linear-gradient(
    white,
    white 28px,
    #9ad0ff 29px
  );

  border-radius: 10px;
}

/* =========================
  DARK TEXT BOX
========================= */
    .text-box {
      background: rgba(0, 0, 0, 0.85);
      color: #F099C7;
      padding: 20px;
      border-radius: 15px;
      max-width: 1000px
    }
    
    .section-header {
  display: block;
  margin: 15px auto 10px;
  width: 600px;
  max-width: 80%;
  height: auto;
}

   .section-headertwo {
  display: block;
  margin: 5px auto 5px;
  width: 500px;
  max-width: 70%;
  height: auto;
}

.custom-list {
  list-style: none;
  padding-left: 25;
}

.custom-list li {
  position: relative;
  padding-left: 28px;
  margin-bottom: 10px;
}

.custom-list li::before {
  content: "";
  position: absolute;
  left: 0;
  top: 0;

  width: 16px;
  height: 16px;

  background-image: url('/icon2.gif');
  background-size: contain;  /* scales it nicely */
  background-repeat: no-repeat;
}

/* =========================================
   CHARACTERBOOK
========================================= */

.character-intro {
  text-align: center;
  margin-bottom: 35px;
  font-size: 1.1rem;
  line-height: 1.7;
}

/* =========================
   MAIN CHARACTER CONTAINER
========================= */

.characterbook {
  display: flex;
  flex-direction: column;
  gap: 25px;
}

.characterbook .section-header {
  margin: 15px auto 0;
}

/* =========================
   CHARACTER CARD
========================= */

.character-card {
  display: flex;
  align-items: center;
  gap: 25px;

  background: rgba(0, 0, 0, 0.45);

  border: 4px solid #ff4fc3;
  border-radius: 28px;

  padding: 20px;

  box-shadow:
    0 0 15px rgba(255, 79, 195, 0.5);
}

/* =========================
  REVERSE CHARACTER CARD
========================= */

.character-card.reverse {
  flex-direction: row-reverse;
}

/* =========================
  CHARACTER IMAGE
========================= */

.character-image {
  width: 180px;
  max-width: 40%;

  border-radius: 14px;

  border: 4px solid white;

  flex-shrink: 0;

  image-rendering: auto;
}

/* =========================
  CHARACTER INFO
========================= */

.character-info {
  flex: 1;
  
}
  
  .character-info h2 {
  margin-bottom: 6px !important;
}

.character-info p {
  margin-top: 0;
  margin-bottom: 8px !important;

}

/* =========================
  CHARACTER NAME
========================= */

.jayla-name {
  width: 300px !important;
  height: auto !important;
  
}
  
.shelei-name {
  width: 220px !important;
  height: auto !important;
}

.linyear-name {
  width: 360px !important;
  height: auto !important;
  
}

.ducki-name {
  width: 300px !important;
  height: auto !important;
}

.deanna-name {
  width: 350px !important;
  height: auto !important;
}


/* =========================
  CHARACTER BIO
========================= */

.character-info p {
  font-size: 1.05rem;
  line-height: 1.7;

  margin-bottom: 16px;
}

.character-card.reverse .character-info {
   display: flex;
  flex-direction: column;
  align-items: flex-end;
}

/* =========================
 CHAPTER NAV
========================= */

.chapter-nav {
  position: absolute;
  top: 30px;
  z-index: 50;
}

.left-chapter {
  left: -90px;
}

.right-chapter {
  right: -90px;
}

.chapter-nav a {
  display: flex;
  align-items: center;
  gap: 10px;

  text-decoration: none;
  color: #ff4fc3;
  font-size: 2.5rem;
  font-weight: bold;

  text-shadow: 0 0 8px black;
}

.chapter-nav img {
  height: 60px;
}



/* =========================
 NOTE NAV
========================= */

.note-nav {
  position: relative;
  width: 90%;
  margin-top: 5px;
  margin: 10px auto 0;
  display: flex;
  justify-content: space-between;
  z-index: 40;

}

.top-note-nav {
  top: 15px;
}

.bottom-note-nav {
  bottom: 15px;
}

.note-nav a {
  text-decoration: none;
  color: #F099C7;
  padding: 6px 10px;
  font-size: 1.2rem;
  transition: all 0.2s ease;
  display: inline-block;
  background: linear-gradient(180deg, #1a1a1a, #2a2a2a);
  border: 2px solid rgba(255, 79, 195, 0.3);
  border-radius: 10px;

}

.note-nav a:hover {
  color: #fff;
  text-shadow: 0 0 8px pink;
  transform: translateX(5px);
}


/* =========================
 FOOTER
========================= */
footer {
  text-align: center;
  padding: 10px;
}

.site-footer {
  width: 100%;
  background: #111;
  color: #F099C7;
  text-align: center;
  overflow: hidden;
}


/* =========================
   FOOTER MAIN IMAGE
========================= */
.site-footer img {
    width: 100%;
  max-width: 100%;
  height: auto;
  display: block;
  margin: 10px auto;
}

/* =========================
   MARQUEE CONTAINER
========================= */
.marquee {
  width: 100%;
  overflow: hidden;
  white-space: nowrap;
  position: relative;
  padding: 6px 0;
  box-sizing: border-box;
}

/* =========================
  MOVING CONTENT
========================= */
.marquee-track {
  display: flex;
  width: max-content;
  animation: scroll-left 60s linear infinite;
}

.marquee-track img {
  flex: 0 0 auto;
}

/* =========================
   BUTTONS
========================= */
.marquee-track > img {
  width: 120px;
  height: 50px;
}

/* =========================
   ICONS
========================= */
.marquee-track span {
  display: inline-flex;
  align-items: center;
  color: #F099C7;
  gap: 6px;
  white-space: nowrap;
}

.marquee-track span img {
  width: 14px;
  height: 14px;
  display: inline-block;
}

/* =========================
   ANIMATION
========================= */
@keyframes scroll-left {
  0% {
    transform: translateX(0%);
  }

  100% {
    transform: translateX(-50%);
  }
}

    
 /* =========================
  DESKTOP VS MOBILE
========================= */
.desktop-only {
  display: block;
}

.mobile-only {
  display: none;
}

/* =========================
  SCROLLBAR
========================= */

/* Chrome, Edge, Safari */
::-webkit-scrollbar {
  width: 14px;
}

::-webkit-scrollbar-track {
  background: #ffbdf3;
}

::-webkit-scrollbar-thumb {
  background-color: #c80bcb
  border-radius: 10px;
  border: 3px solid #ffbdf3;
}

/* Firefox */
html {
  scrollbar-width: auto;
  scrollbar-color: #c80bcb #ffbdf3;
}


/* =========================
   MOBILE
========================= */
@media (max-width: 768px) {


  html, body {
    max-width: 100%;
    overflow-x: hidden;
  }

  .container {
    flex-direction: column;
    width: 100%;
    max-width: 100%;
  }

 /* =========================
  MOBILE SIDEBAR DROP-DOWN
========================= */
  .sidebar {
    width: 100%;
    max-width: 100%;
    margin-left: 0;
    display: none;
    height: auto;
    box-sizing: border-box;
    padding: 20px;
  }

  .sidebar.active {
    display: block;
  }

  .menu-button {
    display: block;
  }

 /* =========================
  CONTENT AND NOTEBOOK
========================= */
  .content {
    width: 100%;
    max-width: 100%;
    padding: 10px;
    box-sizing: border-box;
  }

  .notebook {
    width: 100%;
    max-width: 100%;
  }
  .paper-area {
  position: absolute;
  top: 50%;
  left: 50%;

  transform: translate(-47%, -50%);
  width: 78%;
  height: 88%;
    
}

.text-box {
    font-size: 0.95rem;
    line-height: 1.5;
    padding: 10px;
  }
  
  .characterbook {
  gap: 5px;
}

.section-header {
  margin: 5px auto 5px;
}

  .character-card,
  .character-card.reverse {
    flex-direction: column;
    text-align: center;
  }

  .character-card.reverse .character-info {
    text-align: center;
    align-items: center;
  }
  
.character-info p {
    font-size: 0.95rem;
    line-height: 1.5;
    padding: 10px;
  }

.character-image {
  width: 140px;
  max-width: 80%;
  }

  .jayla-name {
    width: 170px !important;
  }

  .shelei-name {
    width: 110px !important;
  }
  
  .linyear-name {
    width: 200px !important;
  }
  
   .ducki-name {
    width: 160px !important;
  }
  
   .deanna-name {
    width: 190px !important;
  }

  .character-card h2 {
    display: flex;
    justify-content: center !important;
    margin: 10px 0;

}

.note-nav {
    margin: 10px auto 10px;
  width: 100%;
  padding: 0 20px;
  box-sizing: border-box;
  flex-direction: column;

  display: flex;
  justify-content: space-between;
  gap: 10px;
  

  text-align: center;
  
}
  
  .note-nav a {
  font-size: .8rem;
  padding: 6px 10px;
  display: inline-block;
  background: linear-gradient(180deg, #1a1a1a, #2a2a2a);
  border: 2px solid rgba(255, 79, 195, 0.3);
  border-radius: 10px;
}

.footer-logo {
  width: 75% !important;
  max-width: 320px !important;
  height: auto !important;
  margin: 0 auto !important;
  display: block !important;
}

  /* =========================
  DESKTOP VS MOBILE
========================= */
  .desktop-only {
    display: none;
  }

  .mobile-only {
    display: none;
  }

}